### Function

# GtkCustomFilterFunc

#### Declaration

    gboolean
    (* GtkCustomFilterFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

User function that is called to determine if the `item` should be matched.

If the filter matches the item, this function must return `TRUE`. If the item should be filtered out, `FALSE` must be returned.

#### Parameters

`item`

  Type: `GObject`

  The item to be matched.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to keep the item around.